Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tCounter

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tCounter

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tCounter

extends tSystem

Field Summary
`static int` | `kNumSystems`
`int` | `m_SystemIndex`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tCounter(int sys_index)`

Method Summary
`protected void` | `finalize()`
`int` | `getSystemIndex()`
`boolean` | `readConfig_DownFallingEdge()`
`boolean` | `readConfig_DownRisingEdge()`
`boolean` | `readConfig_DownSource_AnalogTrigger()`
`byte` | `readConfig_DownSource_Channel()`
`byte` | `readConfig_DownSource_Module()`
`boolean` | `readConfig_Enable()`
`boolean` | `readConfig_IndexActiveHigh()`
`boolean` | `readConfig_IndexSource_AnalogTrigger()`
`byte` | `readConfig_IndexSource_Channel()`
`byte` | `readConfig_IndexSource_Module()`
`byte` | `readConfig_Mode()`
`short` | `readConfig_PulseLengthThreshold()`
`boolean` | `readConfig_UpFallingEdge()`
`boolean` | `readConfig_UpRisingEdge()`
`boolean` | `readConfig_UpSource_AnalogTrigger()`
`byte` | `readConfig_UpSource_Channel()`
`byte` | `readConfig_UpSource_Module()`
`int` | `readConfig()`
`boolean` | `readOutput_Direction()`
`int` | `readOutput_Value()`
`int` | `readOutput()`
`byte` | `readTimerConfig_AverageSize()`
`int` | `readTimerConfig_StallPeriod()`
`boolean` | `readTimerConfig_UpdateWhenEmpty()`
`int` | `readTimerConfig()`
`byte` | `readTimerOutput_Count()`
`int` | `readTimerOutput_Period()`
`boolean` | `readTimerOutput_Stalled()`
`int` | `readTimerOutput()`
`void` | `strobeReset()`
`void` | `writeConfig_DownFallingEdge(boolean value)`
`void` | `writeConfig_DownRisingEdge(boolean value)`
`void` | `writeConfig_DownSource_AnalogTrigger(boolean value)`
`void` | `writeConfig_DownSource_Channel(int value)`
`void` | `writeConfig_DownSource_Module(int value)`
`void` | `writeConfig_Enable(boolean value)`
`void` | `writeConfig_IndexActiveHigh(boolean value)`
`void` | `writeConfig_IndexSource_AnalogTrigger(boolean value)`
`void` | `writeConfig_IndexSource_Channel(int value)`
`void` | `writeConfig_IndexSource_Module(int value)`
`void` | `writeConfig_Mode(int value)`
`void` | `writeConfig_PulseLengthThreshold(int value)`
`void` | `writeConfig_UpFallingEdge(boolean value)`
`void` | `writeConfig_UpRisingEdge(boolean value)`
`void` | `writeConfig_UpSource_AnalogTrigger(boolean value)`
`void` | `writeConfig_UpSource_Channel(int value)`
`void` | `writeConfig_UpSource_Module(int value)`
`void` | `writeConfig(int value)`
`void` | `writeTimerConfig_AverageSize(int value)`
`void` | `writeTimerConfig_StallPeriod(int value)`
`void` | `writeTimerConfig_UpdateWhenEmpty(boolean value)`
`void` | `writeTimerConfig(int value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

### m_SystemIndex

    public final int m_SystemIndex

Constructor Detail

### tCounter

    public tCounter(int sys_index)

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### getSystemIndex

    public int getSystemIndex()

### readOutput

    public int readOutput()

### readOutput_Direction

    public boolean readOutput_Direction()

### readOutput_Value

    public int readOutput_Value()

### writeConfig

    public void writeConfig(int value)

### writeConfig_UpSource_Channel

    public void writeConfig_UpSource_Channel(int value)

### writeConfig_UpSource_Module

    public void writeConfig_UpSource_Module(int value)

### writeConfig_UpSource_AnalogTrigger

    public void writeConfig_UpSource_AnalogTrigger(boolean value)

### writeConfig_DownSource_Channel

    public void writeConfig_DownSource_Channel(int value)

### writeConfig_DownSource_Module

    public void writeConfig_DownSource_Module(int value)

### writeConfig_DownSource_AnalogTrigger

    public void writeConfig_DownSource_AnalogTrigger(boolean value)

### writeConfig_IndexSource_Channel

    public void writeConfig_IndexSource_Channel(int value)

### writeConfig_IndexSource_Module

    public void writeConfig_IndexSource_Module(int value)

### writeConfig_IndexSource_AnalogTrigger

    public void writeConfig_IndexSource_AnalogTrigger(boolean value)

### writeConfig_IndexActiveHigh

    public void writeConfig_IndexActiveHigh(boolean value)

### writeConfig_UpRisingEdge

    public void writeConfig_UpRisingEdge(boolean value)

### writeConfig_UpFallingEdge

    public void writeConfig_UpFallingEdge(boolean value)

### writeConfig_DownRisingEdge

    public void writeConfig_DownRisingEdge(boolean value)

### writeConfig_DownFallingEdge

    public void writeConfig_DownFallingEdge(boolean value)

### writeConfig_Mode

    public void writeConfig_Mode(int value)

### writeConfig_PulseLengthThreshold

    public void writeConfig_PulseLengthThreshold(int value)

### writeConfig_Enable

    public void writeConfig_Enable(boolean value)

### readConfig

    public int readConfig()

### readConfig_UpSource_Channel

    public byte readConfig_UpSource_Channel()

### readConfig_UpSource_Module

    public byte readConfig_UpSource_Module()

### readConfig_UpSource_AnalogTrigger

    public boolean readConfig_UpSource_AnalogTrigger()

### readConfig_DownSource_Channel

    public byte readConfig_DownSource_Channel()

### readConfig_DownSource_Module

    public byte readConfig_DownSource_Module()

### readConfig_DownSource_AnalogTrigger

    public boolean readConfig_DownSource_AnalogTrigger()

### readConfig_IndexSource_Channel

    public byte readConfig_IndexSource_Channel()

### readConfig_IndexSource_Module

    public byte readConfig_IndexSource_Module()

### readConfig_IndexSource_AnalogTrigger

    public boolean readConfig_IndexSource_AnalogTrigger()

### readConfig_IndexActiveHigh

    public boolean readConfig_IndexActiveHigh()

### readConfig_UpRisingEdge

    public boolean readConfig_UpRisingEdge()

### readConfig_UpFallingEdge

    public boolean readConfig_UpFallingEdge()

### readConfig_DownRisingEdge

    public boolean readConfig_DownRisingEdge()

### readConfig_DownFallingEdge

    public boolean readConfig_DownFallingEdge()

### readConfig_Mode

    public byte readConfig_Mode()

### readConfig_PulseLengthThreshold

    public short readConfig_PulseLengthThreshold()

### readConfig_Enable

    public boolean readConfig_Enable()

### readTimerOutput

    public int readTimerOutput()

### readTimerOutput_Period

    public int readTimerOutput_Period()

### readTimerOutput_Count

    public byte readTimerOutput_Count()

### readTimerOutput_Stalled

    public boolean readTimerOutput_Stalled()

### strobeReset

    public void strobeReset()

### writeTimerConfig

    public void writeTimerConfig(int value)

### writeTimerConfig_StallPeriod

    public void writeTimerConfig_StallPeriod(int value)

### writeTimerConfig_AverageSize

    public void writeTimerConfig_AverageSize(int value)

### writeTimerConfig_UpdateWhenEmpty

    public void writeTimerConfig_UpdateWhenEmpty(boolean value)

### readTimerConfig

    public int readTimerConfig()

### readTimerConfig_StallPeriod

    public int readTimerConfig_StallPeriod()

### readTimerConfig_AverageSize

    public byte readTimerConfig_AverageSize()

### readTimerConfig_UpdateWhenEmpty

    public boolean readTimerConfig_UpdateWhenEmpty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"